Supportende für bestimmte Geräte

Edit on Gitlab

Mit dem Release von Gluon 2018.1 haben wir die Unterstützung für Erstinstallationen bestimmter Geräte eingestellt. Du bist wahrscheinlich auf dieser Seite gelandet, weil du versucht hast Firmware für eines dieser Geräte herunterzuladen.

Hintergrund ist die mangelnde Zukunftsfähigkeit dieser Geräte, welche sich in der Vergangenheit durch erhöhte Systemlast, häufig wiederkehrende Neustarts und generell schlechte Performance gezeigt hat.

Bereits installierte Geräte werden noch bis maximal zum 31.12.2019 mit Aktualisierungen versorgt. Danach endet der Support endgültig.

Betroffene Modelle

Konkret betroffen sind die folgenden Modelle / Modellreihen:

Alfa

  • AP121
  • AP121U
  • Hornet-UB
  • Tube2H
  • N2
  • N5
  • DIR-615

Linksys

  • WRT160NL
  • TL-MR13U
  • TL-MR3020
  • TL-MR3040
  • TL-MR3220
  • TL-MR3420
  • TL-WA701N/ND
  • TL-WA7210N/ND
  • TL-WA730RE
  • TL-WA750RE
  • TL-WA7510N
  • TL-WA801N/ND
  • TL-WA830RE
  • TL-WA850RE
  • TL-WA860RE
  • TL-WA901N/ND
  • TL-WR1043N/ND (V1)
  • TL-WR703N
  • TL-WR710N
  • TL-WR740N/ND
  • TL-WR741N/ND
  • TL-WR743N/ND
  • TL-WR802N
  • TL-WR810N
  • TL-WR841N/ND
  • TL-WR842N/ND (v1, v2)
  • TL-WR843N/ND
  • TL-WR940N/ND
  • TL-WR941N/ND

Ubiquiti Networks

  • AirGateway
  • AirRouter
  • Bullet
  • Litestation SR71
  • NanoStation Loco M2
  • NanoStation Loco M5
  • NanoStation M2
  • NanoStation M5
  • PicoStation

VoCore

  • VoCore

Was bedeutet das für mich?

Wenn du bereits einen Freifunk-Knoten betreibst, wird dein Knoten eine Weile weiterhin funktionieren aber keine Updates mehr erhalten. Bitte tausche deinen Knoten Zeitnah durch ein Gerät aus, das wir langfristig unterstützen können.

Es ist nicht mehr möglich, für obige Geräte auf unserer Webseite Firmware herunterzuladen. Neuinstallationen werden von unserer Seite also nicht unterstützt.

Ich besitze ein solches Gerät und möchte dieses für Freifunk verwenden?

NEIN

Wir möchten dir nahelegen, neue Geräte aus unserer Liste unterstützter Hardware auszuwählen. Auch haben wir einen Hardware-Pool, mit möglichen alternativen Geräten, angeschafft auf den du zurückgreifen kannst.

Wo liegt das Problem der oben genannten Geräte?

Wir beobachten seit Beginn des Jahres 2018 vermehrt Probleme mit diesen Geräten, welche auf die Hardware-Ausstattung zurückzuführen. Alle oben genannten Geräte verfügen über lediglich 32 Megabyte Arbeitsspeicher, welcher langsam aber sicher für die aktuelle Software anfängt nicht mehr auszureichen.

Darüber hinaus haben wir beobachtet, dass Geräte mit 8MB Flash-Speicher und ebenfalls lediglich 32 Megabyte Arbeitsspeicher besonders betroffen sind, bei uns sind das vor allem Geräte von Ubiquiti sowie der TL-WR1043ND v1 von TP-Link.

Der zu kleine Speicher verhindert dabei auch die Weiterentwicklung des Gesamtnetzes. So können wir keine modernen Crypto-Libarys mitliefern, die z.B. den Support von modernen Verschlüsselungen wie WPA3 oder Opportunistic Wireless Encryption (OWE).

In der Firmware wurden zwischenzeitlich Massnahmen getroffen, dieses Problem einzudämmen, es ist jedoch schwer einzuschätzen, wie lange dies in der Zukunft noch möglich sein wird.

Bei weiteren Fragen, melde dich am besten bei uns im Forum oder komm zu unserem Treffen vorbei!